routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function () {
    return view('Auth/login');
});

Auth::routes();

Route::group(['prefix' => 'home', 'middleware' => 'auth'], function () {
    Route::get('/', 'HomeController@index')->name('home');
    Route::resource('user', 'UserController');
    
});

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;
    
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'email','name','usia','jenis_kelamin','password',
    ];

   
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token', 'role', 'created_at', 'updated_at',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    public function getJenisKelaminLabelAttribute()
    {
        $jenis_kelamin = '-';

        if ($this->jenis_kelamin == 0){
            $jenis_kelamin = "Laki_laki";
        }elseif ($this->jenis_kelamin = 1){
            $jenis_kelamin = "Perempuan";
        }
        
        return $jenis_kelamin;
    }
}

app/Http/Controllers/Api/UserController.php
<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use App\Http\Controllers\Controller;
use App\User;
class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        
        $user = User::all(); 
        return response()->json(
            [
                "status" => 200,
                "message" => "Berhasil",
                "data" => $user
            ]
        );
    }
    public function indexById($id)
    {
        
        $user = User::where('id', $id)->get(); 

        return response()->json(
            [
                "status" => 200,
                "message" => "Berhasil",
                "data" => $user
            ]
        );
    }

    public function indexGender($id)
    {
        
        $user = User::where('jenis_kelamin',$id)->orderBy('usia','desc')->get(); 
        return response()->json(
            [
                "status" => 200,
                "message" => "Berhasil",
                "data" => $user
            ]
        );
    }

    
    

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()//GET
    {
        return view('backend.user.form');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)//tambah data
    {
        
        request()->validate([
        'email'=>'required',
        'name'=>'required',
        'usia'=>'required',
        'jenis_kelamin'=>'required',
        'password'=>'required',
        ]);
       
        $users = New User;
       
        $users->name = request()->name;
        $users->email = request()->email;
        $users->usia = request()->usia;
        $users->jenis_kelamin = request()->jenis_kelamin;
        $users->password = Hash::make(request()->password);
        
        $users->save();

         return response()->json(
            [
                "status" => 200,
                "message" => "Data berhasil dibuat",
                "data" => $users
            ]
            );

        
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $user = User::find($id);
        //return $user;
        return view('backend.user.edit', compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        // memvalidasi input data yang harus terisi 
        request()->validate([
            'email'=>'required',
            'name'=>'required',
            'usia'=>'required',
            'jenis_kelamin'=>'required',
            'password',
            ]);
            //variable update
            $users = User::findOrFail($id);
            //keterangan permintaan inputan
            $users->name = request()->name;
            $users->email = request()->email;
            $users->usia = request()->usia;
            $users->jenis_kelamin = request()->jenis_kelamin;
            if (request()->password) {
                $users->password = Hash::make(request()->password);
            }else{
                //
            }
            
            //menyimpan data
            $users->save();
            return response()->json(
                [
                    "status" => 200,
                    "message" => "Data berhasil diubah",
                    "data" => $users
                ]
                );
            
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $user = User::find($id);

        $user->delete();
        return response()->json(
            [
                "status" => 200,
                "message" => "Data berhasil dihapus",
                "data" => $users
            ]
            );
    }
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use App\User;
class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        // variable untuk mengambail data agar terlihat di view
        $user = User::all();
        
        return view('backend.user.index', compact('user'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()//GET
    {
        return view('backend.user.form');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //validasi inputan
        request()->validate([
        'email'=>'required',
        'name'=>'required',
        'usia'=>'required',
        'jenis_kelamin'=>'required',
        'password'=>'required',
        ]);
        //variable tambah
        $users = New User;
        //keterangan permintaan inputan
        $users->name = request()->name;
        $users->email = request()->email;
        $users->usia = request()->usia;
        $users->jenis_kelamin = request()->jenis_kelamin;
        $users->password = Hash::make(request()->password);
        //menyimpan data
        $users->save();

        if ($users->save()){
            return redirect('home/user');
        }else{
            return redirect()->back()->withErrors();
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $user = User::find($id);
        //return $user;
        return view('backend.user.edit', compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        // memvalidasi input data yang harus terisi 
        request()->validate([
            'email'=>'required',
            'name'=>'required',
            'usia'=>'required',
            'jenis_kelamin'=>'required',
            'password',
            ]);
            //variable update
            $users = User::findOrFail($id);
            //keterangan permintaan inputan
            $users->name = request()->name;
            $users->email = request()->email;
            $users->usia = request()->usia;
            $users->jenis_kelamin = request()->jenis_kelamin;
            if (request()->password) {
                $users->password = Hash::make(request()->password);
            }else{
                //
            }
            
            //menyimpan data
            $users->save();
    
            if ($users->save()){
                return redirect('home/user');
            }else{
                return redirect()->back()->withErrors();
            }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $user = User::find($id);

        $user->delete();
        // return $user;
        return redirect()->back();
    }
}

resources/views/backend/user/edit.blade.php
@extends('backend.layouts.index')
@section('content')

@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

<div class="card-body">
        <form method="POST" action="{{route('user.update', $user->id)}}" class="form-horizontal form-label-left">
            @csrf
            @method('PUT')
            
            <div class="form-group">
                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="last-name">Email<span
                        class="required">*</span>
                </label>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <input type="email" id="email" name="email"
                        class="form-control col-md-7 col-xs-12" value="{{$user->email}}">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="name">Name <span class="required">*</span>
                </label>
                <div class="col-md-6 col-sm-6 col-xs-12">
                  <input type="text" name="name" class="form-control col-md-7 col-xs-12" value="{{$user->name}}">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="name">Usia <span class="required">*</span>
                </label>
                <div class="col-md-6 col-sm-6 col-xs-12">
                  <input type="text" name="usia" class="form-control col-md-7 col-xs-12" value="{{$user->usia}}">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-3 col-sm-3 col-xs-12">Jenis Kelamin</label>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div id="jenis_kelamin" class="btn-group" data-toggle="buttons">
                      <label class="btn btn-default {{$user->jenis_kelamin == 0 ? 'active' : ''}}" data-toggle-class="btn-primary"
                            data-toggle-passive-class="btn-default">
                            <input type="radio" name="jenis_kelamin" value="0" {{$user->jenis_kelamin == 0 ? 'checked' : ''}}> &nbsp; Laki-laki &nbsp;
                        </label>
                        <label class="btn btn-default {{$user->jenis_kelamin == 1 ? 'active' : ''}}" data-toggle-class="btn-primary"
                            data-toggle-passive-class="btn-default">
                            <input type="radio" name="jenis_kelamin" value="1" {{$user->jenis_kelamin == 1 ? 'checked' : ''}}> Perempuan
                        </label>                     
                    </div>
                </div>
            </div>
            <div class="ln_solid"></div>
            <div class="form-group">
                <label for="password" class="control-label col-md-3 col-sm-3 col-xs-12">Password</label>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <input id="password" class="form-control col-md-7 col-xs-12" type="password" name="password">
                </div>
            </div>
            
            
            <div class="form-group">
                <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                    <a class="btn btn-primary" href="{{route('user.index')}}">Cancel</a>
                    <button type="submit" class="btn btn-success">Submit</button>
                </div>
            </div>
        </form>
</div>
@endsection

resources/views/backend/user/form.blade.php
form tambah

resources/views/backend/user/index.blade.php
@extends('backend.layouts.index')
<!-- Datatables -->
<link href="{{ url('backend/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
<link href="{{ url('backend/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css') }}" rel="stylesheet">
<link href="{{ url('backend/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css') }}" rel="stylesheet">
<link href="{{ url('backend/vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css') }}" rel="stylesheet">
<link href="{{ url('backend/vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css') }}" rel="stylesheet">
@section('content')
<div class="col-md-12 ">
    <div class="x_panel">
        <a class="float-right btn btn-default" href="{{route('user.create')}}">Tambah</a>
        @csrf
        <div class="x_title">
            <table id="datatable-responsive" class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Email</th>
                        <th>Nama</th>
                        <th>Usia</th>
                        <th>Jenis Kelamin</th>
                        <th>Option</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($user as $key => $item)
                    <tr>
                        <td>{{++$key}}</td>
                        <td>{{$item->email}}</td>
                        <td>{{$item->name}}</td>
                        <td>{{$item->usia}}</td>
                        <td>{{$item->jenis_kelamin_label}}</td>
                        <td>
                            <div class="btn-group">
                                <a class="btn btn-primary" href="{{route('user.edit', $item->id)}}">Edit</a>
                                <form action="{{route('user.destroy', $item->id)}}" method="post">
                                    @method('DELETE')
                                    @csrf
                                    <button type="submit" class="btn btn-sm btn-danger">Hapus</button>
                                </form>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@section('script')
<!-- Datatables -->
<script src="{{ url('backend/vendors/datatables.net/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-buttons/js/buttons.flash.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-keytable/js/dataTables.keyTable.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js') }}"></script>
<script src="{{ url('backend/vendors/datatables.net-scroller/js/dataTables.scroller.min.js') }}"></script>
<script src="{{ url('backend/vendors/jszip/dist/jszip.min.js') }}"></script>
<script src="{{ url('backend/vendors/pdfmake/build/pdfmake.min.js') }}"></script>
<script src="{{ url('backend/vendors/pdfmake/build/vfs_fonts.js') }}"></script>
@endsection